Bug 145409 - panic_on_oops hook removed on ia64 by diskdump patch
Summary: panic_on_oops hook removed on ia64 by diskdump patch
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Tatsuo Uchida
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 132991
TreeView+ depends on / blocked
 
Reported: 2005-01-18 02:19 UTC by Ernie Petrides
Modified: 2007-11-30 22:07 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 13:29:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:294 normal SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 5 2005-05-18 04:00:00 UTC

Description Ernie Petrides 2005-01-18 02:19:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
The "diskdump for IPF" support patch added in RHEL3 U3 mistakenly
disabled support for panic_on_oops on the ia64 architecture.  I
believe that:

  if (panic_on_oops)
    panic("Fatal exception");

should be added after the call to:

  try_crashdump(regs);

in the ia64 version of die(), which would mirror how x86 and x86_64 work.

Version-Release number of selected component (if applicable):
kernel-2.4.21-27.EL

How reproducible:
Always

Steps to Reproduce:
1. invoke code path w/BUG() or cause an oops via /proc/sysrq-trigger (with "c")
2.
3.
  

Actual Results:  oops printed to /var/log/messages, but system keeps running

Expected Results:  system should panic

Additional info:

Comment 4 Ernie Petrides 2005-02-23 22:53:24 UTC
A fix for this problem has just been committed to the RHEL3 U5
patch pool this afternoon (in kernel version 2.4.21-28.EL).


Comment 5 Tim Powers 2005-05-18 13:29:08 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html



Note You need to log in before you can comment on or make changes to this bug.